Description

When opening the Preferences window a "Memory config could not be retrieved" error is shown in the statusbar and in the log. Then
if I open the Memory tab in Preferences, I see that the memory is set as the maximum available by default (more than 7 GB in my
case). Setting a more restrictive value and restarting gvSIG doesn't change the default memory configuration at all, because there's
not trace of memory setting in the gvSIG.config file, at least on Windows.

Tested on gvSIG-desktop-2.3.0-2426-testing-win-x86_64.zip (portable)

Associated revisions
Revision 42970 - 09/14/2016 08:23 AM - Francisco Díaz Carsí

refs #4173 Deleted wrong gvSIG.config in resources-application/tools and fixed make-portable script to don't copy this file to the install folder.

History
#1 - 06/20/2016 11:58 AM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

#2 - 06/24/2016 02:20 PM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE)
- Assignee deleted (Francisco Díaz Carsí)
- Status changed from New to Fixed

Creía recordar que esto ya lo habíamos resuelto hace tiempo.

Lo he probado con el build 2432 tanto en Windows 7 como en Ubuntu y así es.
Lo marco como fixed.

#3 - 06/28/2016 01:00 PM - Antonio Falciano
- Status changed from Fixed to Closed

#4 - 08/05/2016 08:02 PM - Antonio Falciano
- Target version changed from 2.3.0-2433 (rev. org.gvsig.desktop-2.0.139, NOT USABLE) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Closed to New

This error happens in the RC2 portable win-x86_64 every time I open the Preferences. 
This is the content of the gvSIG.config file before and after the memory setting (at least :

###
GVSIG_HOME_FOLDER="$GVSIG_INSTALL_FOLDER/home/gvSIG" 
GVSIG_JAVA_PARAMS="-DgvSIG.home=$GVSIG_INSTALL_FOLDER/home" 
###

#5 - 08/23/2016 08:13 PM - Antonio Falciano

The gvSIG.config file is corrupt (see #4173#note-4) also in the portable win-x86_64 build 2442.
But if I edit it manually and replace its content with the right one:

# Initial gvSIG memory (M=Megabytes, G=Gigabytes)
GVSIG_INITIAL_MEM=256M
# Maximum gvSIG memory (M=Megabytes, G=Gigabytes)
GVSIG_MAX_MEM=1024M
# Maximum permanent memory size: needed to load classes and statics
GVSIG_MAX_PERM_SIZE=128M

then the error doesn't happen. So it's enough to fix only the config file in the portable distribution.

#6 - 08/23/2016 08:20 PM - Antonio Falciano

Antonio Falciano wrote:

The gvSIG.config file is corrupt (see #4173#note-4) also in the portable win-x86_64 build 2442.
But if I edit it manually and replace its content with the right one:
[...]then the error doesn't happen. So it's enough to fix only the config file in the portable distribution.

The error is not shown in the status bar, but it's always in the log.

#7 - 09/02/2016 11:14 AM - Antonio Falciano

Same issue also in RC4 portable win-x86_64.

#8 - 09/14/2016 08:26 AM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Fixed

Se había quedado un archivo gvSIG.config que solo se copiaba al construir la versión portable.
Ha sido eliminado y se ha arreglado el script de creación de la portable para que no intente copiar dicho archivo.
#9 - 09/15/2016 09:41 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2445 (rev. org.gvsig.desktop-2.0.152)

#10 - 09/15/2016 02:47 PM - Joaquín  del Cerro Murciano

Al final parece que si que hacia falta el fichero gvSIG.config de dentro de tools, aunque habia que actualizarlo.

#11 - 10/20/2016 05:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed

05/05/2024 3/3


